Skip to main content
GET
Get all existing files (paginated)

Authorizations

Authorization
string
header
required

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Query Parameters

SortBy
string

Comma-separated field names. Prefix a field with - for descending order. Supported fields: ContentType, CreatedAt, CreatedBy, ExternalReference, FileName, Id, LastModifiedAt, LastModifiedBy, SystemManaged, Uri.

FilterBy
string

Format: Field[Operator]value. Combine conditions with && or ||; parentheses group conditions. Wrap the entire value in double quotes when it contains (, ), &&, or ||: Field[Operator]"whole value". Within a quoted value, the only supported escapes are " and \. Supported fields: ContentType, CreatedAt, CreatedBy, ExternalReference, FileName, Id, LastModifiedAt, LastModifiedBy, SystemManaged.

PageNumber
integer<int32>
PageSize
integer<int32>

Response

OK

results
object[]
required
pageNumber
integer<int32>
required
totalPages
integer<int32>
required
totalCount
integer<int32>
required
pageSize
integer<int32>
required